Package org.postgresql.gss

# Class GssEncAction

java.lang.Object
org.postgresql.gss.GssEncAction

All Implemented Interfaces:
  `PrivilegedAction<@Nullable Exception>`, `Callable<@Nullable Exception>`

public class GssEncAction extends Object implements PrivilegedAction<@Nullable Exception>, Callable<@Nullable Exception>

## Constructor Summary

Constructors
Constructor
Description
`GssEncAction(PGStream pgStream, @Nullable Subject subject, String host, String user, String kerberosServerName, boolean useSpnego, boolean logServerErrorDetail)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Exception`
`call()`
`@Nullable Exception`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GssEncAction

public GssEncAction(PGStream pgStream, @Nullable Subject subject, String host, String user, String kerberosServerName, boolean useSpnego, boolean logServerErrorDetail)

## Method Details

### run

public @Nullable Exception run()

Specified by:
  `run` in interface `PrivilegedAction<@Nullable Exception>`

### call

public @Nullable Exception call() throws Exception

Specified by:
  `call` in interface `Callable<@Nullable Exception>`
Throws:
  `Exception`